Subject: bug#21730: 25.0.50; Random errors in redisplay--pre-redisplay-functions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2016 17:22:22 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Wed, 14 Sep 2016 19:48:23 +0000
> Cc: [email-masked], [email-masked]
> 
>  If we want to dig deeper, I think we should first understand why bop
>  doesn't work. Is it indeed because the window's buffer is not the
>  current buffer when the hook is called?
> 
> Unfortunately the error doesn't trigger consistently. Maybe we are lucky and somebody manages to detect
> such an issue.
> 
> I'd also suggest to add
> (cl-assert (eq (current-buffer) (window-buffer window))) 
> to cursor-sensor--detect, because the function relies on this equality. 

Michael, could you please look some more into this?  I think we need
to understand the reason why bobp doesn't work, although the hook was
supposed to be called with the window's buffer the current buffer.

TIA